<% @title = 'Login User' %>
<% if flash['error'] %><div style="font-weight: bold; color: red; margin: 5px 0; text-align: center;"><%= flash['error'] %></div><% end %>
<%= render_errors_for "user" %>
<center>
<div class="frm" style="max-width: 60%">
  <h1>Login with an existing account</h1>
  <%= start_form_tag({:controller => "user", :action => "login"}, {"name" => "login"}) %>
  <fieldset>
    <legend>Login</legend>
    <table cellpadding="4" border="0">
      <tr>
	<td width="30%"><label for="login">Login</label></td>
	<td><input type="text" name="login" id="login" size="30" /></td>
      </tr>
      <tr>
	<td><label for="pwd">Password</label></td>
	<td><input type="password" name="pwd" id="pwd" size="30" maxlength="60" /></td>
      </tr>
    </table>  
  </fieldset>
  <div class="btn"><input type="submit" value="Login"/></div>
  <%= end_form_tag %>					
  <h1>Or, create a new account</h1>
  <%= start_form_tag({:controller => "user", :action => "public"}, {"name" => "frm", "onsubmit" => "javascript:return checkPassword();"}) %>
  <fieldset>
    <legend>New Account</legend>
    <table cellpadding="4" border="0">
      <tr>
	<td width="40%"><label for="login">Login</label></td>
	<td><%= text_field "user", "login", "id" => "login", "size" => 30 %></td>
      </tr>
      <tr>
	<td><label for="first_name">First Name</label></td>
	<td><%= text_field("user", "first_name", "id" => "first_name", "size" => 30, "maxlength" => 60) %></td>
      </tr>
      <tr>
	<td><label for="last_name">Last Name</label></td>
	<td><%= text_field("user", "last_name", "id" => "last_name", "size" => 30, "maxlength" => 60) %></td>
      </tr>
      <tr>
	<td><label for="email">Email</label></td>
	<td><%= text_field("user", "email", "id" => "email", "size" => 30, "maxlength" => 120) %></td>
      </tr>
      <tr>
	<td><label for="pwd">Password</label></td>
	<td><input type="password" name="new_pwd" id="pwd" size="20" maxlength="60" value="" /></td>
      </tr>
      <tr>
	<td><label for="confirm_pwd">Confirm Password</label></td>
	<td><input type="password" name="confirm_pwd" id="confirm_pwd" size="20" maxlength="60" value="" /></td>
      </tr>
    </table>  
  </fieldset>
  <div class="btn"><input type="submit" value="Create Account"/></div>
  <%= end_form_tag %>					
</div>
</center>
